\documentclass{standalone}
\usepackage{pgf,tikz,pgfplots}
\pgfplotsset{compat=1.15}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-1.5,-2) rectangle (4.5,3.5);
\fill[line width=1.5pt,fill=Gris3] (1,1) -- (1,0) -- (1.8660254037844384,0.5) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1,1) -- (1.8660254037844384,0.5) -- (1.8660254037844388,1.5) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1.8660254037844388,1.5) -- (2.866025403784439,1.5) -- (2.36602540378444,2.366025403784438) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (0,1) -- (1,1) -- (0.5,1.8660254037844384) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (0,0) -- (0,1) -- (-0.8660254037844386,0.5) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1,0) -- (0,0) -- (0.5,-0.8660254037844386) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (0.5,-0.8660254037844386) -- (-0.36602540378443893,-1.3660254037844384) -- (0.5,-1.8660254037844384) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1.5,-0.8660254037844383) -- (1.5,-1.8660254037844388) -- (2.3660254037844384,-1.3660254037844397) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1.8660254037844384,0.5) -- (2.866025403784438,0.5) -- (2.366025403784438,-0.3660254037844388) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (2.366025403784438,-0.3660254037844388) -- (2.866025403784438,0.5) -- (3.3660254037844393,-0.36602540378443826) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (2.366025403784438,-0.3660254037844388) -- (1.5,-0.8660254037844383) -- (2.3660254037844384,-1.3660254037844397) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1,0) -- (0.5,-0.8660254037844386) -- (1.5,-0.8660254037844383) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (-0.8660254037844386,0.5) -- (-0.8660254037844385,-0.5) -- (0,0) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (4.232050807568877,0.13397459621556287) -- (3.3660254037844393,-0.36602540378443826) -- (4.2320508075688785,-0.8660254037844366) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (3.3660254037844393,-0.36602540378443826) -- (3.3660254037844397,-1.3660254037844393) -- (4.2320508075688785,-0.8660254037844366) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (2.866025403784439,1.5) -- (2.866025403784438,0.5) -- (3.7320508075688754,1) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1.3660254037844393,2.3660254037844384) -- (2.36602540378444,2.366025403784438) -- (1.8660254037844388,1.5) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (2.866025403784439,1.5) -- (3.7320508075688754,1) -- (3.7320508075688754,2) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (2.36602540378444,2.366025403784438) -- (3.2320508075688794,2.866025403784436) -- (2.366025403784442,3.366025403784438) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (1.3660254037844393,2.3660254037844384) -- (1.3660254037844397,3.3660254037844397) -- (0.5,2.8660254037844397) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (0.5,1.8660254037844388) -- (1.3660254037844393,2.3660254037844384) -- (0.5,2.8660254037844384) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (0,1) -- (0.5,1.8660254037844388) -- (-0.5,1.8660254037844393) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (-1.3660254037844384,1.3660254037844395) -- (-0.5,1.8660254037844382) -- (-1.3660254037844375,2.3660254037844384) -- cycle;
\fill[line width=1.5pt,fill=Gris3] (-1.3660254037844375,2.3660254037844384) -- (-0.5,1.8660254037844382) -- (-0.5,2.866025403784437) -- cycle;
\draw [line width=1.5pt,color=black] (0,0)-- (1,0);
\draw [line width=1.5pt,color=black] (1,0)-- (1,1);
\draw [line width=1.5pt,color=black] (1,1)-- (0,1);
\draw [line width=1.5pt,color=black] (0,1)-- (0,0);
\draw [line width=1.5pt] (1,1)-- (1,0);
\draw [line width=1.5pt] (1,0)-- (1.8660254037844384,0.5);
\draw [line width=1.5pt] (1.8660254037844384,0.5)-- (1,1);
\draw [line width=1.5pt] (1,1)-- (1.8660254037844384,0.5);
\draw [line width=1.5pt] (1.8660254037844384,0.5)-- (1.8660254037844388,1.5);
\draw [line width=1.5pt] (1.8660254037844388,1.5)-- (1,1);
\draw [line width=1.5pt,color=black] (1,1)-- (1.8660254037844388,1.5);
\draw [line width=1.5pt,color=black] (1.8660254037844388,1.5)-- (1.3660254037844393,2.3660254037844384);
\draw [line width=1.5pt,color=black] (1.3660254037844393,2.3660254037844384)-- (0.5,1.8660254037844388);
\draw [line width=1.5pt,color=black] (0.5,1.8660254037844388)-- (1,1);
\draw [line width=1.5pt,color=black] (1.8660254037844388,1.5)-- (1.8660254037844384,0.5);
\draw [line width=1.5pt,color=black] (1.8660254037844384,0.5)-- (2.866025403784438,0.5);
\draw [line width=1.5pt,color=black] (2.866025403784438,0.5)-- (2.866025403784439,1.5);
\draw [line width=1.5pt,color=black] (2.866025403784439,1.5)-- (1.8660254037844388,1.5);
\draw [line width=1.5pt,color=black] (1.8660254037844384,0.5)-- (1,0);
\draw [line width=1.5pt,color=black] (1,0)-- (1.5,-0.8660254037844383);
\draw [line width=1.5pt,color=black] (1.5,-0.8660254037844383)-- (2.366025403784438,-0.3660254037844388);
\draw [line width=1.5pt,color=black] (2.366025403784438,-0.3660254037844388)-- (1.8660254037844384,0.5);
\draw [line width=1.5pt] (1.8660254037844388,1.5)-- (2.866025403784439,1.5);
\draw [line width=1.5pt] (2.866025403784439,1.5)-- (2.36602540378444,2.366025403784438);
\draw [line width=1.5pt] (2.36602540378444,2.366025403784438)-- (1.8660254037844388,1.5);
\draw [line width=1.5pt] (0,1)-- (1,1);
\draw [line width=1.5pt] (1,1)-- (0.5,1.8660254037844384);
\draw [line width=1.5pt] (0.5,1.8660254037844384)-- (0,1);
\draw [line width=1.5pt] (0,0)-- (0,1);
\draw [line width=1.5pt] (0,1)-- (-0.8660254037844386,0.5);
\draw [line width=1.5pt] (-0.8660254037844386,0.5)-- (0,0);
\draw [line width=1.5pt] (1,0)-- (0,0);
\draw [line width=1.5pt] (0,0)-- (0.5,-0.8660254037844386);
\draw [line width=1.5pt] (0.5,-0.8660254037844386)-- (1,0);
\draw [line width=1.5pt,color=black] (0.5,-0.8660254037844386)-- (0,0);
\draw [line width=1.5pt,color=black] (0,0)-- (-0.8660254037844385,-0.5);
\draw [line width=1.5pt,color=black] (-0.8660254037844385,-0.5)-- (-0.36602540378443893,-1.3660254037844384);
\draw [line width=1.5pt,color=black] (-0.36602540378443893,-1.3660254037844384)-- (0.5,-0.8660254037844386);
\draw [line width=1.5pt] (0.5,-0.8660254037844386)-- (-0.36602540378443893,-1.3660254037844384);
\draw [line width=1.5pt] (-0.36602540378443893,-1.3660254037844384)-- (0.5,-1.8660254037844384);
\draw [line width=1.5pt] (0.5,-1.8660254037844384)-- (0.5,-0.8660254037844386);
\draw [line width=1.5pt,color=black] (0.5,-0.8660254037844386)-- (0.5,-1.8660254037844384);
\draw [line width=1.5pt,color=black] (0.5,-1.8660254037844384)-- (1.5,-1.8660254037844388);
\draw [line width=1.5pt,color=black] (1.5,-1.8660254037844388)-- (1.5,-0.866025403784439);
\draw [line width=1.5pt,color=black] (1.5,-0.866025403784439)-- (0.5,-0.8660254037844386);
\draw [line width=1.5pt] (1.5,-0.8660254037844383)-- (1.5,-1.8660254037844388);
\draw [line width=1.5pt] (1.5,-1.8660254037844388)-- (2.3660254037844384,-1.3660254037844397);
\draw [line width=1.5pt] (2.3660254037844384,-1.3660254037844397)-- (1.5,-0.8660254037844383);
\draw [line width=1.5pt,color=black] (2.366025403784438,-0.3660254037844388)-- (2.3660254037844384,-1.3660254037844397);
\draw [line width=1.5pt,color=black] (2.3660254037844384,-1.3660254037844397)-- (3.3660254037844397,-1.3660254037844393);
\draw [line width=1.5pt,color=black] (3.3660254037844397,-1.3660254037844393)-- (3.3660254037844393,-0.36602540378443826);
\draw [line width=1.5pt,color=black] (3.3660254037844393,-0.36602540378443826)-- (2.366025403784438,-0.3660254037844388);
\draw [line width=1.5pt] (1.8660254037844384,0.5)-- (2.866025403784438,0.5);
\draw [line width=1.5pt] (2.866025403784438,0.5)-- (2.366025403784438,-0.3660254037844388);
\draw [line width=1.5pt] (2.366025403784438,-0.3660254037844388)-- (1.8660254037844384,0.5);
\draw [line width=1.5pt] (2.366025403784438,-0.3660254037844388)-- (2.866025403784438,0.5);
\draw [line width=1.5pt] (2.866025403784438,0.5)-- (3.3660254037844393,-0.36602540378443826);
\draw [line width=1.5pt] (3.3660254037844393,-0.36602540378443826)-- (2.366025403784438,-0.3660254037844388);
\draw [line width=1.5pt] (2.366025403784438,-0.3660254037844388)-- (1.5,-0.8660254037844383);
\draw [line width=1.5pt] (1.5,-0.8660254037844383)-- (2.3660254037844384,-1.3660254037844397);
\draw [line width=1.5pt] (2.3660254037844384,-1.3660254037844397)-- (2.366025403784438,-0.3660254037844388);
\draw [line width=1.5pt] (1,0)-- (0.5,-0.8660254037844386);
\draw [line width=1.5pt] (0.5,-0.8660254037844386)-- (1.5,-0.8660254037844383);
\draw [line width=1.5pt] (1.5,-0.8660254037844383)-- (1,0);
\draw [line width=1.5pt] (-0.8660254037844386,0.5)-- (-0.8660254037844385,-0.5);
\draw [line width=1.5pt] (-0.8660254037844385,-0.5)-- (0,0);
\draw [line width=1.5pt] (0,0)-- (-0.8660254037844386,0.5);
\draw [line width=1.5pt,color=black] (2.866025403784438,0.5)-- (3.3660254037844393,-0.36602540378443826);
\draw [line width=1.5pt,color=black] (3.3660254037844393,-0.36602540378443826)-- (4.232050807568877,0.13397459621556287);
\draw [line width=1.5pt,color=black] (4.232050807568877,0.13397459621556287)-- (3.7320508075688754,1);
\draw [line width=1.5pt,color=black] (3.7320508075688754,1)-- (2.866025403784438,0.5);
\draw [line width=1.5pt] (4.232050807568877,0.13397459621556287)-- (3.3660254037844393,-0.36602540378443826);
\draw [line width=1.5pt] (3.3660254037844393,-0.36602540378443826)-- (4.2320508075688785,-0.8660254037844366);
\draw [line width=1.5pt] (4.2320508075688785,-0.8660254037844366)-- (4.232050807568877,0.13397459621556287);
\draw [line width=1.5pt] (3.3660254037844393,-0.36602540378443826)-- (3.3660254037844397,-1.3660254037844393);
\draw [line width=1.5pt] (3.3660254037844397,-1.3660254037844393)-- (4.2320508075688785,-0.8660254037844366);
\draw [line width=1.5pt] (4.2320508075688785,-0.8660254037844366)-- (3.3660254037844393,-0.36602540378443826);
\draw [line width=1.5pt] (2.866025403784439,1.5)-- (2.866025403784438,0.5);
\draw [line width=1.5pt] (2.866025403784438,0.5)-- (3.7320508075688754,1);
\draw [line width=1.5pt] (3.7320508075688754,1)-- (2.866025403784439,1.5);
\draw [line width=1.5pt] (1.3660254037844393,2.3660254037844384)-- (2.36602540378444,2.366025403784438);
\draw [line width=1.5pt] (2.36602540378444,2.366025403784438)-- (1.8660254037844388,1.5);
\draw [line width=1.5pt] (1.8660254037844388,1.5)-- (1.3660254037844393,2.3660254037844384);
\draw [line width=1.5pt] (2.866025403784439,1.5)-- (3.7320508075688754,1);
\draw [line width=1.5pt] (3.7320508075688754,1)-- (3.7320508075688754,2);
\draw [line width=1.5pt] (3.7320508075688754,2)-- (2.866025403784439,1.5);
\draw [line width=1.5pt,color=black] (2.36602540378444,2.366025403784438)-- (2.866025403784439,1.5);
\draw [line width=1.5pt,color=black] (2.866025403784439,1.5)-- (3.7320508075688776,2);
\draw [line width=1.5pt,color=black] (3.7320508075688776,2)-- (3.2320508075688794,2.866025403784436);
\draw [line width=1.5pt,color=black] (3.2320508075688794,2.866025403784436)-- (2.36602540378444,2.366025403784438);
\draw [line width=1.5pt] (2.36602540378444,2.366025403784438)-- (3.2320508075688794,2.866025403784436);
\draw [line width=1.5pt] (3.2320508075688794,2.866025403784436)-- (2.366025403784442,3.366025403784438);
\draw [line width=1.5pt] (2.366025403784442,3.366025403784438)-- (2.36602540378444,2.366025403784438);
\draw [line width=1.5pt,color=black] (1.3660254037844393,2.3660254037844384)-- (2.36602540378444,2.366025403784438);
\draw [line width=1.5pt,color=black] (2.36602540378444,2.366025403784438)-- (2.3660254037844406,3.3660254037844393);
\draw [line width=1.5pt,color=black] (2.3660254037844406,3.3660254037844393)-- (1.3660254037844397,3.3660254037844397);
\draw [line width=1.5pt,color=black] (1.3660254037844397,3.3660254037844397)-- (1.3660254037844393,2.3660254037844384);
\draw [line width=1.5pt] (1.3660254037844393,2.3660254037844384)-- (1.3660254037844397,3.3660254037844397);
\draw [line width=1.5pt] (1.3660254037844397,3.3660254037844397)-- (0.5,2.8660254037844397);
\draw [line width=1.5pt] (0.5,2.8660254037844397)-- (1.3660254037844393,2.3660254037844384);
\draw [line width=1.5pt] (0.5,1.8660254037844388)-- (1.3660254037844393,2.3660254037844384);
\draw [line width=1.5pt] (1.3660254037844393,2.3660254037844384)-- (0.5,2.8660254037844384);
\draw [line width=1.5pt] (0.5,2.8660254037844384)-- (0.5,1.8660254037844388);
\draw [line width=1.5pt,color=black] (0.5,1.8660254037844388)-- (0.5,2.8660254037844397);
\draw [line width=1.5pt,color=black] (0.5,2.8660254037844397)-- (-0.5,2.866025403784439);
\draw [line width=1.5pt,color=black] (-0.5,2.866025403784439)-- (-0.5,1.8660254037844382);
\draw [line width=1.5pt,color=black] (-0.5,1.8660254037844382)-- (0.5,1.8660254037844388);
\draw [line width=1.5pt] (0,1)-- (0.5,1.8660254037844388);
\draw [line width=1.5pt] (0.5,1.8660254037844388)-- (-0.5,1.8660254037844393);
\draw [line width=1.5pt] (-0.5,1.8660254037844393)-- (0,1);
\draw [line width=1.5pt,color=black] (-0.8660254037844386,0.5)-- (0,1);
\draw [line width=1.5pt,color=black] (0,1)-- (-0.5,1.8660254037844388);
\draw [line width=1.5pt,color=black] (-0.5,1.8660254037844388)-- (-1.3660254037844384,1.3660254037844395);
\draw [line width=1.5pt,color=black] (-1.3660254037844384,1.3660254037844395)-- (-0.8660254037844386,0.5);
\draw [line width=1.5pt] (-1.3660254037844384,1.3660254037844395)-- (-0.5,1.8660254037844382);
\draw [line width=1.5pt] (-0.5,1.8660254037844382)-- (-1.3660254037844375,2.3660254037844384);
\draw [line width=1.5pt] (-1.3660254037844375,2.3660254037844384)-- (-1.3660254037844384,1.3660254037844395);
\draw [line width=1.5pt] (-1.3660254037844375,2.3660254037844384)-- (-0.5,1.8660254037844382);
\draw [line width=1.5pt] (-0.5,1.8660254037844382)-- (-0.5,2.866025403784437);
\draw [line width=1.5pt] (-0.5,2.866025403784437)-- (-1.3660254037844375,2.3660254037844384);
\draw [line width=1.5pt,mydashed] (0,2.366025403784439)-- (3.549038105676657,0.316987298107781);

\draw [fill=Gris2] (0,2.366025403784439) circle (1.5pt);
\draw [fill=Gris2] (3.549038105676657,0.316987298107781) circle (1.5pt);
\begin{scriptsize}
\draw[color=Gris2] (0.12762636940226524,2.55) node {A};
\draw[color=Gris2] (3.679423409571397,0.55) node {B};
\end{scriptsize}
\end{tikzpicture}
\end{document}